Commit 678ef74f authored by Thomas Vander Stichele's avatar Thomas Vander Stichele
Browse files

Fixes #158382. Make speex plugin compatible with both 1.0 and 1.1.

Original commit message from CVS:

* configure.ac:
* ext/speex/gstspeexdec.h:
* ext/speex/gstspeexenc.h:
Fixes #158382.  Make speex plugin compatible with both 1.0 and 1.1.
Fix detection code in configure.ac
parent cd4e63a5
2004-12-23 Thomas Vander Stichele <thomas at apestaart dot org>
* configure.ac:
* ext/speex/gstspeexdec.h:
* ext/speex/gstspeexenc.h:
Fixes #158382. Make speex plugin compatible with both 1.0 and 1.1.
Fix detection code in configure.ac
2004-12-23 Ronald S. Bultje <rbultje@ronald.bitfreak.net>
* gst/matroska/matroska-demux.c:
......
......@@ -1575,10 +1575,10 @@ GST_CHECK_FEATURE(SPEEX, [speex plug-in], speex, [
AC_SUBST(SPEEX_CFLAGS)
AC_SUBST(SPEEX_LIBS)
], [
GST_CHECK_LIBHEADER(SPEEX, speex, speex_bits_init, , speex.h, [
AC_CHECK_HEADER(speex_jitter.h, [
GST_CHECK_LIBHEADER(SPEEX, speex, speex_bits_init, , speex/speex.h, [
AC_CHECK_HEADER(speex/speex_jitter.h, [
dnl speex 1.1.x :
GST_CHECK_LIBHEADER(SPEEX, speex, speex_encode_int, , speex.h, [
GST_CHECK_LIBHEADER(SPEEX, speex, speex_encode_int, , speex/speex.h, [
dnl speex 1.1.5 or + :
HAVE_SPEEX="yes"
SPEEX_LIBS="-lspeex"
......@@ -1595,9 +1595,14 @@ GST_CHECK_FEATURE(SPEEX, [speex plug-in], speex, [
SPEEX_LIBS="-lspeex"
AC_SUBST(SPEEX_CFLAGS)
AC_SUBST(SPEEX_LIBS)
AC_DEFINE_UNQUOTED(SPEEX_1_0, 1,
[defined if speex 1.0.x API detected])
],[
HAVE_SPEEX="no"
AC_MSG_NOTICE(You need at least 1.0.4 to compile the speex plugin)
], [
#include <speex/speex.h>
])
])
])
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment